Entur Developer
Products

usage-validity-periods

Server

Retrieves usage validity periods by organisation id

GET
https://api.entur.io/products
/usage-validity-periods

Retrieves usage validity periods by organisation id › query Parameters

orgId
​string · style: form · explode: true

The unique id to identify a organisation

fareFrameId
​string · style: form · explode: true

The unique id to identify a fare frame

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

Retrieves usage validity periods by organisation id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves usage validity periods by organisation id › Responses

Returns the info

A UsageValidityPeriod response
changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

​FareTableRef[] · required

References to FareTable.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:UsageValidityPeriod:Child
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: UsageValidityPeriod
status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

UsageValidityPeriod version.

Example: NSB:Version:V1
activationMeans
​string[]

Activation Means. Describes how a product can be activated.

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

​LimitingRule

A LimitingRule

​TextInLanguage[]

UsageValidityPeriod Name represented in different languages. Language codes are ISO-639.

standardDuration
​string

Standard duration. Represented as a string formatted according to ISO-8601

Example: PT1H
​SteppedDuration

Stepped duration.

usageEnd
​string · enum

Usage end.

Enum values:
STANDARD_DURATION
END_OF_CALENDAR_PERIOD
END_OF_RIDE
END_OF_TRIP
END_OF_FARE_DAY
END_OF_FARE_PERIOD
PRODUCT_EXPIRY
PROFILE_EXPIRY
usageStartConstraintType
​string · enum

Usage start constraint.

Enum values:
VARIABLE
FIXED
FIXED_WINDOW
usageTrigger
​string · enum

Usage trigger.

Enum values:
START_OF_PERIOD
START_OUT_BOUND_RIDE
END_OUT_BOUND_RIDE
START_RETURN_RIDE
PURCHASE
SPECIFIED_START_DATE
FULFILMENT
DAY_OFFSET_BEFORE_CALENDAR_PERIOD
usageValidityType
​string · enum

Usage validity type.

Enum values:
SINGLE_RIDE
SINGLE_TRIP
RETURN_TRIP
CARNET
DAY_PASS
WEEKLY_PASS
WEEKEND_PASS
MONTHLY_PASS
usageValidityTypes
​string[]

Usage validity type list.


Create a usage validity parameter

POST
https://api.entur.io/products
/usage-validity-periods

Create a usage validity parameter › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a usage validity parameter › Request Body

​VersionOfObjectRef · required

Fare frame ref.

​FareTableRef[] · required

References to FareTable.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: RUT:UsageValidityPeriod:30Days
​TextInLanguage[] · required

Name represented in different languages. Language codes are ISO-639.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

UsageValidityPeriod version.

Example: NSB:Version:V1
activationMeans
​string[]

Activation Means. Describes how a product can be activated.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

standardDuration
​string

Standard duration. Represented as a string formatted according to ISO-8601

Example: PT1H
​SteppedDuration

Stepped duration.

usageEnd
​string · enum

Usage end.

Enum values:
STANDARD_DURATION
END_OF_CALENDAR_PERIOD
END_OF_RIDE
END_OF_TRIP
END_OF_FARE_DAY
END_OF_FARE_PERIOD
PRODUCT_EXPIRY
PROFILE_EXPIRY
usageEnds
​string[]

Usage End list.

usageStartConstraintType
​string · enum

Usage start constraint.

Enum values:
VARIABLE
FIXED
FIXED_WINDOW
usageTrigger
​string · enum

Usage trigger.

Enum values:
START_OF_PERIOD
START_OUT_BOUND_RIDE
END_OUT_BOUND_RIDE
START_RETURN_RIDE
PURCHASE
SPECIFIED_START_DATE
FULFILMENT
DAY_OFFSET_BEFORE_CALENDAR_PERIOD
usageValidityTypes
​string[]

Usage validity type list.

Create a usage validity parameter › Responses

Entity created successfully

No data returned

Update a list of uvps

PUT
https://api.entur.io/products
/usage-validity-periods/batch

Update a list of uvps › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update a list of uvps › Request Body

empty
​boolean
traversableAgain
​boolean

Update a list of uvps › Responses

Entity updated successfully

No data returned

Create a list of uvp

POST
https://api.entur.io/products
/usage-validity-periods/batch

Create a list of uvp › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a list of uvp › Request Body

empty
​boolean
traversableAgain
​boolean

Create a list of uvp › Responses

Entity created successfully

No data returned

Retrives a usage validity period by id

GET
https://api.entur.io/products
/usage-validity-periods/{id}

Retrives a usage validity period by id › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a usage validity period

Retrives a usage validity period by id › query Parameters

version
​string · style: form · explode: true

The id for the version of the usage validity period

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

Retrives a usage validity period by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrives a usage validity period by id › Responses

Returns the info

A UsageValidityPeriod response
changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

​FareTableRef[] · required

References to FareTable.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:UsageValidityPeriod:Child
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: UsageValidityPeriod
status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

UsageValidityPeriod version.

Example: NSB:Version:V1
activationMeans
​string[]

Activation Means. Describes how a product can be activated.

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

​LimitingRule

A LimitingRule

​TextInLanguage[]

UsageValidityPeriod Name represented in different languages. Language codes are ISO-639.

standardDuration
​string

Standard duration. Represented as a string formatted according to ISO-8601

Example: PT1H
​SteppedDuration

Stepped duration.

usageEnd
​string · enum

Usage end.

Enum values:
STANDARD_DURATION
END_OF_CALENDAR_PERIOD
END_OF_RIDE
END_OF_TRIP
END_OF_FARE_DAY
END_OF_FARE_PERIOD
PRODUCT_EXPIRY
PROFILE_EXPIRY
usageStartConstraintType
​string · enum

Usage start constraint.

Enum values:
VARIABLE
FIXED
FIXED_WINDOW
usageTrigger
​string · enum

Usage trigger.

Enum values:
START_OF_PERIOD
START_OUT_BOUND_RIDE
END_OUT_BOUND_RIDE
START_RETURN_RIDE
PURCHASE
SPECIFIED_START_DATE
FULFILMENT
DAY_OFFSET_BEFORE_CALENDAR_PERIOD
usageValidityType
​string · enum

Usage validity type.

Enum values:
SINGLE_RIDE
SINGLE_TRIP
RETURN_TRIP
CARNET
DAY_PASS
WEEKLY_PASS
WEEKEND_PASS
MONTHLY_PASS
usageValidityTypes
​string[]

Usage validity type list.


Retrives a usage validity period by id

GET
https://api.entur.io/products
/usage-validity-periods/{id}/{version}

Retrives a usage validity period by id › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a usage validity period

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the usage validity period

Retrives a usage validity period by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrives a usage validity period by id › Responses

Returns the info

A UsageValidityPeriod response
changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

​FareTableRef[] · required

References to FareTable.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:UsageValidityPeriod:Child
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: UsageValidityPeriod
status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

UsageValidityPeriod version.

Example: NSB:Version:V1
activationMeans
​string[]

Activation Means. Describes how a product can be activated.

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

​LimitingRule

A LimitingRule

​TextInLanguage[]

UsageValidityPeriod Name represented in different languages. Language codes are ISO-639.

standardDuration
​string

Standard duration. Represented as a string formatted according to ISO-8601

Example: PT1H
​SteppedDuration

Stepped duration.

usageEnd
​string · enum

Usage end.

Enum values:
STANDARD_DURATION
END_OF_CALENDAR_PERIOD
END_OF_RIDE
END_OF_TRIP
END_OF_FARE_DAY
END_OF_FARE_PERIOD
PRODUCT_EXPIRY
PROFILE_EXPIRY
usageStartConstraintType
​string · enum

Usage start constraint.

Enum values:
VARIABLE
FIXED
FIXED_WINDOW
usageTrigger
​string · enum

Usage trigger.

Enum values:
START_OF_PERIOD
START_OUT_BOUND_RIDE
END_OUT_BOUND_RIDE
START_RETURN_RIDE
PURCHASE
SPECIFIED_START_DATE
FULFILMENT
DAY_OFFSET_BEFORE_CALENDAR_PERIOD
usageValidityType
​string · enum

Usage validity type.

Enum values:
SINGLE_RIDE
SINGLE_TRIP
RETURN_TRIP
CARNET
DAY_PASS
WEEKLY_PASS
WEEKEND_PASS
MONTHLY_PASS
usageValidityTypes
​string[]

Usage validity type list.


Update a usage validity period

PUT
https://api.entur.io/products
/usage-validity-periods/{id}/{version}

Update a usage validity period › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a usage validity period

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the usage validity period

Update a usage validity period › query Parameters

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

Update a usage validity period › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update a usage validity period › Request Body

​VersionOfObjectRef · required

Fare frame ref.

​FareTableRef[] · required

References to FareTable.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: RUT:UsageValidityPeriod:30Days
​TextInLanguage[] · required

Name represented in different languages. Language codes are ISO-639.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

UsageValidityPeriod version.

Example: NSB:Version:V1
activationMeans
​string[]

Activation Means. Describes how a product can be activated.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

standardDuration
​string

Standard duration. Represented as a string formatted according to ISO-8601

Example: PT1H
​SteppedDuration

Stepped duration.

usageEnd
​string · enum

Usage end.

Enum values:
STANDARD_DURATION
END_OF_CALENDAR_PERIOD
END_OF_RIDE
END_OF_TRIP
END_OF_FARE_DAY
END_OF_FARE_PERIOD
PRODUCT_EXPIRY
PROFILE_EXPIRY
usageEnds
​string[]

Usage End list.

usageStartConstraintType
​string · enum

Usage start constraint.

Enum values:
VARIABLE
FIXED
FIXED_WINDOW
usageTrigger
​string · enum

Usage trigger.

Enum values:
START_OF_PERIOD
START_OUT_BOUND_RIDE
END_OUT_BOUND_RIDE
START_RETURN_RIDE
PURCHASE
SPECIFIED_START_DATE
FULFILMENT
DAY_OFFSET_BEFORE_CALENDAR_PERIOD
usageValidityTypes
​string[]

Usage validity type list.

Update a usage validity period › Responses

Entity updated successfully

No data returned

Retrieves a usage validity period by id

GET
https://api.entur.io/products
/v1/usage-validity-periods/{id}

Retrieves a usage validity period by id › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a usage validity period

Retrieves a usage validity period by id › query Parameters

startDate
​string · style: form · explode: true
endDate
​string · style: form · explode: true
status
​string · style: form · explode: true

The version status of the usage validity period

fromDate
​string · style: form · explode: true

The from date of the usage validity periods version

toDate
​string · style: form · explode: true

The to date of the usage validity periods version

Retrieves a usage validity period by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves a usage validity period by id › Responses

Returns the info

A UsageValidityPeriod response
changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

​FareTableRef[] · required

References to FareTable.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:UsageValidityPeriod:Child
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: UsageValidityPeriod
status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

UsageValidityPeriod version.

Example: NSB:Version:V1
activationMeans
​string[]

Activation Means. Describes how a product can be activated.

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

​LimitingRule

A LimitingRule

​TextInLanguage[]

UsageValidityPeriod Name represented in different languages. Language codes are ISO-639.

standardDuration
​string

Standard duration. Represented as a string formatted according to ISO-8601

Example: PT1H
​SteppedDuration

Stepped duration.

usageEnd
​string · enum

Usage end.

Enum values:
STANDARD_DURATION
END_OF_CALENDAR_PERIOD
END_OF_RIDE
END_OF_TRIP
END_OF_FARE_DAY
END_OF_FARE_PERIOD
PRODUCT_EXPIRY
PROFILE_EXPIRY
usageStartConstraintType
​string · enum

Usage start constraint.

Enum values:
VARIABLE
FIXED
FIXED_WINDOW
usageTrigger
​string · enum

Usage trigger.

Enum values:
START_OF_PERIOD
START_OUT_BOUND_RIDE
END_OUT_BOUND_RIDE
START_RETURN_RIDE
PURCHASE
SPECIFIED_START_DATE
FULFILMENT
DAY_OFFSET_BEFORE_CALENDAR_PERIOD
usageValidityType
​string · enum

Usage validity type.

Enum values:
SINGLE_RIDE
SINGLE_TRIP
RETURN_TRIP
CARNET
DAY_PASS
WEEKLY_PASS
WEEKEND_PASS
MONTHLY_PASS
usageValidityTypes
​string[]

Usage validity type list.


Did you find what you were looking for?